=== modified file 'source/NVDAObjects/window/excel.py'
--- source/NVDAObjects/window/excel.py	2012-12-06 00:38:28 +0000
+++ source/NVDAObjects/window/excel.py	2013-03-25 09:52:04 +0000
@@ -20,6 +20,7 @@
 from . import Window
 from .. import NVDAObjectTextInfo
 import scriptHandler
+import win32clipboard
 
 xlA1 = 1
 xlRC = 2
@@ -120,7 +121,7 @@
 		"kb:control+space",
 		"kb:control+pageUp",
 		"kb:control+pageDown",
-		"kb:control+v",
+		#"kb:control+v",
 	)
 
 class ExcelCellTextInfo(NVDAObjectTextInfo):
@@ -287,9 +288,18 @@
 		if previous:
 			return ExcelCell(windowHandle=self.windowHandle,excelWindowObject=self.excelWindowObject,excelCellObject=previous)
 
+	def script_paste(self,gesture):
+		gesture.send()
+		win32clipboard.OpenClipboard()
+		cellText = win32clipboard.GetClipboardData()
+		win32clipboard.CloseClipboard()
+		ui.message(cellText)
+
+		
 	__gestures = {
 		"kb:NVDA+shift+c": "setColumnHeaderRow",
 		"kb:NVDA+shift+r": "setRowHeaderColumn",
+		"kb:control+v": "paste"
 	}
 
 class ExcelSelection(ExcelBase):

